apt: pkgCache::GrpIterator Class Reference

apt 3.0.1 commandline package manager

Public Member Functions | List of all members
pkgCache::GrpIterator Class Reference
Inheritance diagram for pkgCache::GrpIterator:

## Public Member Functions
Group * | OwnerPointer () const
| GrpIterator (pkgCache &Owner)
GrpIterator & | operator++ ()
GrpIterator | operator++ (int)
const char * | Name () const
PkgIterator | PackageList () const
VerIterator | VersionsInSource () const
PkgIterator | FindPkg (std::string_view Arch={"any", 3}) const
PkgIterator | FindPreferredPkg (bool const &PreferNonVirtual=true) const
| find the package with the "best" architecture
PkgIterator | NextPkg (PkgIterator const &Pkg) const
| GrpIterator (pkgCache &Owner, Group *Trg)
Public Member Functions inherited from pkgCache::Iterator< Group, GrpIterator >
bool | end () const
bool | operator== (const GrpIterator &B) const
bool | operator!= (const GrpIterator &B) const
Group * | operator-> ()
Group const * | operator-> () const
| operator Group * ()
| operator Group const * () const
Group & | operator* ()
Group const & | operator* () const
pkgCache * | Cache () const
bool | IsGood () const
unsigned long | Index () const
map_pointer< Group > | MapPointer () const
void | ReMap (void const *const oldMap, void *const newMap)
| Iterator (pkgCache &Owner, Group *T=0)

## Additional Inherited Members
Public Types inherited from pkgCache::Iterator< Group, GrpIterator >
using | iterator_category
using | value_type
using | difference_type
using | pointer
using | reference
Protected Attributes inherited from pkgCache::Iterator< Group, GrpIterator >
Group * | S
pkgCache * | Owner

## Member Function Documentation

## ◆ FindPreferredPkg()

pkgCache::PkgIterator FindPreferredPkg | ( | bool const & | PreferNonVirtual = true | ) | const

find the package with the "best" architecture

The best architecture is either the "native" or the first in the list of Architectures which is not an end-Pointer

Parameters

  PreferNonVirtual | tries to respond with a non-virtual package and only if this fails returns the best virtual package

References FindPreferredPkg().

Referenced by FindPreferredPkg().

The documentation for this class was generated from the following files:

- apt-pkg/cacheiterators.h
- apt-pkg/pkgcache.cc